# Gimp.Item.set_lock_visibility

    @accepts(Gimp.Item, bool)
    @returns(bool)
    def set_lock_visibility(self, lock_visibility):
        # Python wrapper for gimp_item_set_lock_visibility()

Set the 'lock visibility' state of the specified item.

This procedure sets the specified item's lock visibility state.

Since 3.0

self

  The item.

lock_visibility

  The new item 'lock visibility' state.

Returns